curl --request POST \
--url https://clientapi.woku.app/wokus/create-textnote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wokuId": "507f1f77bcf86cd799439011",
"qualification": 5,
"description": "Excelente servicio. El personal fue muy servicial y amable."
}
'{
"_id": "507f1f77bcf86cd799439018",
"wokuId": "507f1f77bcf86cd799439011",
"qualification": {
"qualification": 5
},
"description": "Excellent service!",
"anonymous": false,
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": [
"description must be a string",
"fileUrl must be a valid URL"
],
"error": "Bad Request"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found"
}Crear una reseña de texto
Crea una nueva reseña de texto (textnote) para un woku. Incluye una calificacion con estrellas (1-5) y feedback en texto. Opcionalmente puedes asociar un correo o numero de telefono de cliente.
curl --request POST \
--url https://clientapi.woku.app/wokus/create-textnote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wokuId": "507f1f77bcf86cd799439011",
"qualification": 5,
"description": "Excelente servicio. El personal fue muy servicial y amable."
}
'{
"_id": "507f1f77bcf86cd799439018",
"wokuId": "507f1f77bcf86cd799439011",
"qualification": {
"qualification": 5
},
"description": "Excellent service!",
"anonymous": false,
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": [
"description must be a string",
"fileUrl must be a valid URL"
],
"error": "Bad Request"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found"
}Autorizaciones
Clave de API de la empresa. Obtenla desde tu dashboard de Woku en Settings > API Keys.
Cuerpo
MongoDB ObjectId del woku al que se agrega la resena
"507f1f77bcf86cd799439011"
Calificacion de estrellas del 1 al 5
1 <= x <= 55
Contenido de texto de la resena (maximo 3000 caracteres)
3000"Excellent service! The staff was very helpful and friendly."
Direccion de correo de quien resena
"reviewer@example.com"
Numero de telefono de quien resena (incluyendo el codigo de pais, sin espacios ni simbolos)
56988887777
Si la resena debe ser anonima
false
Respuesta
Textnote creado correctamente
Identificador unico del textnote
"507f1f77bcf86cd799439018"
ID del woku al que pertenece el textnote
"507f1f77bcf86cd799439011"
Show child attributes
Show child attributes
Contenido de texto de la reseña
"Excellent service!"
false